package com.smppw.analysis.domain.dto.info;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * @author wangzaijun
 * @date 2023/8/7 16:41
 * @description 货币型公募基金 头部
 */
@Setter
@Getter
public class PubliclyCurrencyFundHeadInfoVO extends PubliclyFundHeadInfoVO {
    /**
     * 是否货币型公募基金
     */
    private Integer isCurrency;
    /**
     * 7日年化收益
     */
    private BigDecimal profitSevenDayAnnual;
    /**
     * 百份、万份、百万份收益
     */
    private BigDecimal retPerUnit;
    /**
     * 单位- 1:百份  2：万份  3：百万份
     */
    private String publicWorthUnit;
}
