package com.smppw.analysis.domain.dto.performance;

import com.smppw.common.pojo.enums.Indicator;
import com.smppw.common.pojo.enums.TimeRange;
import lombok.Data;

import java.util.List;

/**
 * @author 莫祖文
 * @date 2023/8/9 16:00
 * @description 多时段多标的多指标的请求参数
 */
@Data
public class MulSecMulIndicatorParams extends BaseParams {

    /**
     * 多时段
     */
    private List<TimeRange> timeRangeList;

    /**
     * 多指标
     */
    private List<Indicator> indicatorList;

}
