package com.smppw.analysis.infrastructure.utils;

import cn.hutool.core.util.BooleanUtil;
import cn.hutool.core.util.StrUtil;

public class StringUtil {

    /**
     * 判断字符串是不是数字型字符串
     *
     * @param str 待判断的字符串
     * @return true or false
     */
    public static boolean isNumeric(String str) {
        if (StrUtil.isBlank(str)) {
            return false;
        }
        return BooleanUtil.isTrue(str.matches("-?[0-9]+.?[0-9]*"));
    }
}
