package com.smppw.analysis.domain.dataobject;

import lombok.Data;

/**
 * @author mozuwen
 * @date 2023/8/9 9:30
 * @description 公募基金投资类信息说明
 */
@Data
public class FundArchivesInfoDO {

    /**
     * 基准名称
     */
    private String benchmarkName;

    /**
     * 交易场所，申购赎回场所，为空则为场外
     */
    private String applyingMarket;

    /**
     * 初始份额，文字+数值+日期展示
     */
    private String initialShare;

    /**
     * 初始份额 日期
     */
    private String initialDate;

    /**
     * 最低申购金额，文字+数值+日期展示
     */
    private String lowestApplyAmount;

    /**
     * 最低赎回份额，文字+数值+日期展示
     */
    private String lowestSumRedemption;

    /**
     * 投资目标
     */
    private String investmentObjective;

    /**
     * 投资策略
     */
    private String strategyDescription;

    /**
     * 投资范围
     */
    private String investmentScope;

}
