package com.smppw.analysis.domain.dataobject;

import lombok.Data;

import java.util.Date;

/**
 * @author mozuwen
 * @date 2023/8/9 9:30
 * @description 公募基金公告信息
 */
@Data
public class ManualFundNoticeInfoDO {

    /**
     * 信息发布日期
     */
    private Date date;

    /**
     * 公告类型：1-发行上市, 2-定期报告, 3-业绩快报， 4-其他公告
     */
    private String type;

    /**
     * 公告标题
     */
    private String title;

    /**
     * 公共来源
     */
    private String media;

    /**
     * 附件名称
     */
    private String attName;

    /**
     * 附件地址
     */
    private String attUri;

}
