package com.smppw.analysis.domain.dto.info;


import lombok.Data;

/**
 * @author mozuwen
 * @date 2023/8/9 09:25
 * @description 公募基金公共信息
 */
@Data
public class ManualFundNoticeInfoVO {

    /**
     * 附件,附件图标可下载公告文档
     */
    private String attName;

    /**
     * 地址
     */
    private String attUri;

    /**
     * 时间
     */
    private String date;

    /**
     * 公告来源
     */
    private String media;

    /**
     * 公告标题
     */
    private String title;

    /**
     * 公告类型：1-发行上市, 2-定期报告, 3-业绩快报， 4-其他公告
     */
    private String type;
}

