package com.smppw.analysis.domain.dto.info;

import lombok.Getter;
import lombok.Setter;

/**
 * @author wangzaijun
 * @date 2023/8/7 16:41
 * @description 普通的非货币型基金基本信息-头部
 */
@Setter
@Getter
public class PubliclyFundHeadInfoVO extends FundHeadInfoVO {
    /**
     * 单位净值
     */
    private String originalNav;
    /**
     * 复权净值
     */
    private String cumulativeNav;
    /**
     * 累计净值
     */
    private String cumulativeNavWithdrawal;
}
